@ECHO off

ECHO.
ECHO Quectel Wwan EM120 Software Package for Windows 10 64bit -WW-  
ECHO.
CLS
setlocal enabledelayedexpansion

:: BatchGotAdmin
:-------------------------------------
REM  --> Check for permissions
>nul 2>&1 "%SYSTEMROOT%\system32\cacls.exe" "%SYSTEMROOT%\system32\config\system"

REM --> If error flag set, we do not have admin.
if '%errorlevel%' NEQ '0' (
    echo Requesting administrative privileges...
    goto UACPrompt
) else ( goto gotAdmin )

:UACPrompt
    echo Set UAC = CreateObject^("Shell.Application"^) > "%temp%\getadmin.vbs"
    echo UAC.ShellExecute "%~s0", "", "", "runas", 1 >> "%temp%\getadmin.vbs"

    "%temp%\getadmin.vbs"
    exit /B

:gotAdmin
    if exist "%temp%\getadmin.vbs" ( del "%temp%\getadmin.vbs" )
    pushd "%CD%"
    CD /D "%~dp0"
:-----------------------------------------------------------------------------------

rem CALL %~dp0QDriverUninstaller_x64_V1.0.11.exe
rem timeout /t 10
CALL pnputil.exe /add-driver "%~dp0pcie\MhiHost.inf" /install
timeout /t 5
CALL pnputil.exe /add-driver "%~dp0pcie\qcude.inf" /install
timeout /t 5
CALL pnputil.exe /add-driver "%~dp0usb\qusbccgp.inf" /install
timeout /t 5
CALL pnputil.exe /add-driver "%~dp0usb\QmuxMdm.inf" /install
timeout /t 5
CALL pnputil.exe /add-driver "%~dp0usb\qcgnss.inf" /install
timeout /t 5
CALL pnputil.exe /add-driver "%~dp0usb\qcser.inf" /install
timeout /t 5
CALL pnputil.exe /add-driver "%~dp0fw\QuectelFwUpdateDriver.inf" /install
timeout /t 5


@echo The driver is installed completely.

:END